Bug 1121018 - [FEAT] : provide an option to set glusterd log levels other than command line flag [NEEDINFO]
Summary: [FEAT] : provide an option to set glusterd log levels other than command line...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd
Version: rhgs-3.0
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: ---
Assignee: Atin Mukherjee
QA Contact: storage-qa-internal@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 1123294
TreeView+ depends on / blocked
 
Reported: 2014-07-18 07:45 UTC by spandura
Modified: 2017-08-11 09:58 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
: 1123294 (view as bug list)
Environment:
Last Closed: 2017-08-11 09:58:16 UTC
amukherj: needinfo? (spandura)


Attachments (Terms of Use)

Description spandura 2014-07-18 07:45:55 UTC
Description of problem:
======================
It would be really helpful for debugging any issues related to glusterd if we can set the log level of glusterd using a command rather than restarting the glusterd with "DEBUG" option. If we restart the glusterd, we might not hit the issue after restart as we lose the current state of glusterd. . Hence it would be really helpful to have a option to set the glusterd log levels. 

For example: https://bugzilla.redhat.com/show_bug.cgi?id=1121015 doesn't have enough information in the glusterd logs on why the command failed. The developer wants more information but we are get the information without restarting glusterd.  

Version-Release number of selected component (if applicable):
============================================================
glusterfs 3.6.0.24 built on Jul  3 2014 11:03:38

Comment 2 Atin Mukherjee 2014-07-22 06:29:41 UTC
Are you looking at a command to set a specific log level per glusterd or cli command should set the log level of glusterd across the cluster?


Note You need to log in before you can comment on or make changes to this bug.